mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Policy.EvidenceBase System.Security.Policy.IBuiltInEvidence System.Security.Policy.IIdentityPermissionFactory System.Runtime.InteropServices.ComVisible(true)

The class represents evidence of a unique, cryptographically strong name of a code assembly. The strong name consists of a public key, a given name, and a version. The public key corresponds to the publisher's private key which is kept secret, and with which the assembly must be signed in order for the strong name to be valid.

Strong names are typically assigned to assemblies using either , or in conjunction with the SN utility (see [<topic://cpgrfstrongnameutilitysnexe>]).

uses this class to confirm that calling code is in a particular strong-named code assembly.

Provides the strong name of a code assembly as evidence for policy evaluation. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The parameter can be null, but it cannot be an empty string ("").

  For more information about strong names, see and .

  Initializes a new instance of the class with the strong name public key blob, name, and version.

  The of the software publisher.
  The simple name section of the strong name.
  The of the strong name.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added

  Creates an equivalent copy of the current .

  A new, identical copy of the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The identity permission for a strong name can be used to determine whether calling code is in a particular strong named code assembly.

  Creates a that corresponds to the current .

  A for the specified .

  The from which to construct the .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the specified strong name is equal to the current strong name.

  true if the specified strong name is equal to the current strong name; otherwise, false.

  The strong name to compare against the current strong name.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Gets the hash code of the current .

  The hash code of the current .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the simple name of the current .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.StrongNamePublicKeyBlob To be added: an object of type 'Security.Permissions.StrongNamePublicKeyBlob'

  A blob is cryptographic information that uniquely specifies the public key of the software publisher.

  Blobs differ from certificates in that the blob only has information about the public key; the certificate also includes information that associates the name of the holder with the key as well as information to verify the certificate.

  Gets the of the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This method is useful during debugging to get an easy-to-read representation of the object.

  Creates a string representation of the current .

  A representation of the current .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Version To be added: an object of type 'Version' To be added

  Gets the of the current .